Skip to main content
GET
/
api2
/
v2
/
projects
/
{projectUid}
/
workflowSteps
Get workflow steps
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/workflowSteps \
  --header 'Authorization: <api-key>'
{
  "projectWorkflowSteps": [
    {
      "id": 123,
      "abbreviation": "<string>",
      "name": "<string>",
      "workflowLevel": 123,
      "workflowStep": {
        "name": "<string>",
        "id": "<string>",
        "uid": "<string>",
        "order": 123,
        "lqaEnabled": true
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Query Parameters

withAssignedJobs
boolean
default:false

Return only steps containing jobs assigned to the calling linguist.

Response

successful operation

projectWorkflowSteps
object[]